package com.zjrs.zwnw.fxfk.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import com.zjrs.zwnw.fxfk.blo.QyywjkBLO;
import com.zjrs.zwnw.fxfk.bpo.QyywjkBPO;
import com.zjrs.zwnw.fxfk.dto.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class QyywjkBPOimpl extends BPOImpl implements QyywjkBPO {
    private static final Logger LOG = LoggerFactory.getLogger(QyywjkBPOimpl.class);
    @Resource
    private QyywjkBLO qyywjkBLO;

    @Override
    //业务量走势图
    public List<QyywzstOutputDTO> getQyywzst(QyywzstInputDTO dto){

        List<QyywzstOutputDTO> list = new ArrayList<QyywzstOutputDTO>();

        if(dto.getType().equals("1")){
            list = this.qyywjkBLO.getQyywzstByYear(dto);
        }else if(dto.getType().equals("7")){
            list = this.qyywjkBLO.getQyywzstByDate(dto);
        }
        return list;


    }
    //top5
    @Override
    public List<QyywTop5OutputDTO> getTop5(QyywTop5InputDTO dto){
        if(!dto.getQd().equals("1") && !dto.getQd().equals("2") && !dto.getQd().equals("3")){
            dto.setQd("");
        }
        return this.qyywjkBLO.getTop5(dto);
    }
    //业务量统计总接口
    public Map<String,Object> getAll(QyywTjInputDTO dto){
        Map<String, Object> resultMap = new HashMap<String, Object>();
        //top5
        QyywTop5InputDTO top5dto = new QyywTop5InputDTO();
        top5dto.setLb("1");
        top5dto.setSj("7");
        top5dto.setQd("0");
        top5dto.setSsdq(dto.getSsdq());
        List<QyywTop5OutputDTO> top5list = this.getTop5(top5dto);

        //业务量统计
        List<QyywTjOutputDTO> tjlist = this.qyywjkBLO.getYwltj(dto);

        //业务量走势图
        QyywzstInputDTO zstdto = new QyywzstInputDTO();
        zstdto.setSsdq(dto.getSsdq());
        zstdto.setType("7");
        List<QyywzstOutputDTO> zstlist  = this.getQyywzst(zstdto);


        resultMap.put("top5data",top5list);
        resultMap.put("zstdata",zstlist);
        resultMap.put("ywltjdata",tjlist);
        return resultMap;
    }

}
